let config = require("./config/config.js");
const Http = require("./utils/HttpBasics");
App({
  data: {},
  onLaunch: function(options) {
    var that = this;
    that.globalData.sceneAddress = options.scene;
  },
  /**
   * 获取地址位置信息
   */
  getLocation: function() {
    var that = this
    wx.getLocation({
      type: "wgs84",
      success: function(res) {
        that.globalData.locationInfo = res;
      },
      fail: error => {
        console.log(error);
      }
    });
  },  
  globalData: {
    // token
    token: null,
    // 渠道
    sceneAddress: null,
    // location info
    locationInfo: null,
    // 二维码参数
    scene: null,
    // 支持智慧停车, 用户名下有车
    phone: null,
    supportCar: false,
    parkVendor: 1, // 1: ETCP, 2: TJD
    // ETCP token
    etcpToken: null,
    carLogin: false,
    // 当前商场信息
    market: {
      name: "陕西大悦城"
    }
  }
});
